html {
    clear: both;
}

body {
    font-family: Verdana, serif;
    font-weight: normal;
    min-height: 100vh;
    margin: 0;
    font-size: 1rem;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.wrapper {
    min-height: calc(100vh - 126px);
    margin: 0 15px;
    font-size: 0.875rem;
}

.footer {
    text-align: center;
    padding: 15px 0;
    margin-top: 50px;
    height: 45px;
    background-color: #eee;
    border-top: 1px solid #ccc;
}

.login {
    width: 350px;
    padding: 30px 0 30px 0;
    border-radius: 4px;
    border: 1px solid #ccc;
    background: #eee;
}

.error_page_logo {
    padding-top: 10%;
}

h1 {
    font-size: 1.125rem;
}

h2 {
    font-size: 1rem;
}

h3 {
    font-size: 0.8125rem;
}

p {
    font-size: 0.9375rem;
}

@media print {
    button {
        display: none;
    }
}

button,
input[type=submit] {
    cursor: pointer;
}

a,
a:hover,
a:visited {
    color: #0000EE;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a:focus {
    outline: hidden;
}

a.jl {
    color: #fff;
    text-decoration: none;
}

a.j1 img {
    border: none;
}

.question a,
.question a:hover,
.question a:visited {
    color: #333333;
    text-decoration: none;
}

div {
    font-size: 1rem;
}

div.err {
    display: none;
    width: 250px;
    margin: 5px auto 10px;
    padding: 10px;
    background-color: #ffd6cc;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 0.875rem;
}

.fnt75 {
    font-size: 0.8125rem;
}

.time {
    font-size: 1.25rem;
    color: #fff;
    font-weight: bold;
}

.butka {
    cursor: pointer;
    width: 280px !important;
    background-color: #0a67b7;
    font-size: 1rem;
    font-weight: bold;
    border-radius: 4px;
}

.butka:hover {
    background-color: #2d89dc;
}

.butkac {
    padding: 10px;
}

#brk {
    height: 5px;
    width: 5px;
}

#copyright {
    font-size: 0.875rem;
}

.question {
    font-size: 1.25rem;
    color: #00529c;
    margin: 14px 0;
}

.variants {
    font-size: 0.875rem;
    color: #00529c;
    margin-top: 10px;
}

.answer {
    display: inline-block;
    width: calc(100% - 50px);
    padding: 10px 0 10px 5px;
    font-size: 0.9375rem;
    cursor: pointer;
}

.answer-wrap {
    display: block;
    border-top: 1px solid #eee;
    padding: 5px 0;
}

.answer-wrap:hover {
    background: #eee;
    border-top: 1px solid transparent;
    border-radius: 4px;
}

.answer-wrap:first-child,
.answer-wrap:hover:first-child {
    border: none
}

.answer-wrap:hover + .answer-wrap {
    border-top: 1px solid transparent
}

.answer-wrap input[type=radio],
.answer-wrap input[type=checkbox] {
    vertical-align: top;
    margin-top: 0.875rem;
}

.resulttext {
    font-size: 0.9375rem;
}

.resultbig {
    font-size: 1.25rem;
    padding-top: 5px;
    padding-bottom: 5px;
}

table.toptab {
    background: url('../../images/toptab.png') repeat-x 0 0;
    height: 108px;
}

table.fio td {
    border-top: 1px solid #d9d9d9;
}

table.fio td.header,
table.fio td.prepare_questions,
table.fio td.prepare_materials {
    border: none;
}

table.curses tr td {
    font-size: 0.9375rem;
    font-weight: bold;
    padding: 0;
    line-height: 20px;
}

table.vari tr td,
table.vari tr td div,
table.vari tr td p {
    font-size: 1rem;
    font-weight: normal;
}

table.vari tr td {
    padding: 0;
    border: none;
    vertical-align: top;
}

table.resulttable {
    border-bottom: 1px solid #d9d9d9;
    border-right: 1px solid #d9d9d9;
}

table.resulttable td {
    border-left: 1px solid #d9d9d9;
    padding: 5px;
}

tr.grayed {
    background-color: #f8f8f8;
}

tr.grayedtop {
    background-color: #e6e6e6;
}


.answer-list,
.answered,
.answering {
    padding: 1px 2px;
    line-height: 2;
}

.answered {
    text-decoration: overline;
}

.answering {
    border: 1px solid #fff;
    border-radius: 4px;
    font-weight: bold;
    background-color: #fff;
    color: #000;
}

.printver {
    color: gray;
    font-size: 1.0625rem;
    float: right;
    padding-bottom: 3px;
}

.printver:hover {
    text-decoration: underline;
}

.authtext {
    width: 250px;
    padding: 10px;
    font-size: 1rem;
    border-radius: 4px;
    border: 1px solid #ccc;
}

.authbtn {
    cursor: pointer;
    width: 270px;
    color: #fff !important;
    background-color: #0a67b7;
    font-size: 1rem;
    font-weight: bold;
    padding: 10px;
    border-radius: 4px;
}

.authbtn:hover {
    background-color: #2d89dc;
}

.wrong {
    font-size: 0.875rem;
    background-color: #ffd6cc;
    border-top: 1px solid #ccc;;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    margin-bottom: -30px;
    padding: 4px 0;
}

.thema {
    color: #00529c;
    font-size: 1rem;
    margin: 25px 0 5px 5px;
}

.thema_doc {
    color: #000;
    font-size: 0.875rem;
    padding: 3px 0 0 40px;
}

#ticketname {
    color: #fff;
    font-family: arial, verdana, serif;
    font-size: 100%;
    font-weight: bold;
    border-left: 2px solid #fff;
    padding: 5px;
}

.prepare_item_wrp {
    font-family: arial, verdana, serif;
    font-size: 1.2em;
    padding: 0 10px 0 10px;
    color: #fff;
}

.prepare_item_wrp.exam {
    font-size: inherit;
    padding: 10px;
}

.prepare_item {
    min-width: 190px;
    text-align: center;
    font-size: 1.125rem;
}

.prepare_item_div,
.prepare_item_active,
.prepare_item_unactive {
    float: left;
    line-height: 40px;
    border-radius: 4px 4px 0 0;
    padding: 0 15px 0 15px;
    cursor: pointer;
}

.prepare_item_div {
    padding: 0;
    width: 5px;
}

.prepare_item_active {
    background-color: #fff;
    color: #000;
}

.prepare_item_unactive {
    background-color: #d5d5d5;
    color: #000;
}

.prepare_item_unactive:hover {
    background: #eaeaea
}

@media (max-width: 1067px) {
    .prepare_item_active,
    .prepare_item_unactive {
        font-size: 1rem;
        border-radius: 4px;
        margin-bottom: 5px;
        padding: 4px;
    }
}

.level0,
.level1,
.level2 {
    width: 24px;
    height: 16px;
    vertical-align: top;
    text-align: center;
}

.level1 {
    background: url('../../images/line.svg') repeat-y -14px 0;
}

.level2 {
    background: url('../../images/line.svg') repeat-y -22px 0;
}

.collapse {
    background: #fff url(../../images/menu_collapse.svg) no-repeat 1px 0px;
    background-size: contain;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.collapse.active {
    background: #fff url(../../images/menu_expand.svg) no-repeat 1px 0px;
    background-size: contain;
}

.result_text {
    width: 111px;
}

.bluedot {
    background: url('../../images/bluedot.svg') no-repeat 4px -1px;
    background-size: contain;
    width: 30px;
    height: 24px;
    cursor: pointer;
}

.tdbluedot {
    vertical-align: top;
}

/* Лэйблы для тестов dev/debug/etc */
.marker {
    display: inline-block;
    font-size: 12px;
    border-radius: 12px;
    padding: 0 7px;
    margin-right: 3px;
    color: #fff;
    text-transform: lowercase;
}

.marker.dev {
    background: #ff0000;
}

.marker.debug {
    background: #ffa500;
}

.marker.dev:before {
    content: "DEV";
}

.marker.debug:before {
    content: "DEBUG";
}

.marker.skull {
    margin-right: 2px;
}

.marker.skull:before {
    content: "\1F480";
}

.marker.update {
    background: #9E9E9E;
    text-transform: uppercase;
}

/* Лэйблы для тестов dev/debug/etc -END */

.exit-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
}

.exit-block img {
    height: 30px;
    margin-left: 16px;
    filter: opacity(.75);
    transition: all .3s ease;
}

.exit-block a:hover img {
    transform: scale(1.5);
    filter: opacity(1);
}

.logo-block {
    background-image: none;
    background-color: #fff;
}

@media (max-width: 850px) {
    .logo-block {
        display: inline-block;
        width: 100px;
        overflow: hidden;
        line-height: 0;
        border-radius: 50%;
        border: 3px solid #fff;
        margin-left: 3px;
    }
}


/* Вспомогательные стили */
.text-blue {
    color: blue;
}

.text-green {
    color: green;
}

.text-red {
    color: red;
}

.font-weight-normal {
    font-weight: normal !important;
}

.fsz-x-large {
    font-size: x-large !important;
}

.no-border {
    border: none !important;
}

.center {
    text-align: center;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.bold {
    font-weight: bold;
}

.transparent {
    background: transparent;
    border: 1px solid transparent;
}

.m20 {
    margin: 20px;
}

.pt15 {
    padding-top: 15px;
}

.mb15 {
    margin-bottom: 15px;
}

.mt15 {
    margin-top: 15px;
}

.mb10 {
    margin-bottom: 10px;
}

.ml10 {
    margin-left: 10px;
}

.m-auto {
    margin: auto auto;
}

.ml-auto {
    margin-left: auto;
}

.h-100 {
    height: 100%;
    max-height: 100%;
}

.w-100 {
    width: 100%;
    max-width: 100%;
}

.w-100i {
    width: 100% !important;
    max-width: 100% !important;
}

.w-10px {
    width: 10px;
}

.w-50px {
    width: 50px;
}

.w-150px {
    width: 150px;
}

.w-200px {
    width: 200px;
}

.w-290px {
    width: 290px;
}

.w-fit {
    width: fit-content !important;
}

.d-none {
    display: none;
}

.d-block {
    display: block;
}

.d-inline-block {
    display: inline-block;
}

.d-flex {
    display: flex;
}

.gap10 {
    gap: 10px;
}

.flex-column {
    flex-direction: column;
}

.flex-justify-between {
    justify-content: space-between;
}

.flex-justify-end {
    justify-content: flex-end;
}

.flex-justify-center {
    justify-content: center;
}

.align-items-center {
    align-items: center;
}

.pointer {
    cursor: pointer;
}

.alert {
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

.alert-primary {
    color: #004085;
    background-color: #cce5ff;
    border-color: #b8daff;
}

.alert-info {
    color: #0c5460;
    background-color: #d1ecf1;
    border-color: #bee5eb;
}

.radius-50 {
    border-radius: 50%;
}

/* Вспомогательные стили - END */


/* Результыты тестирования (таблица) */
.answer_td,
.true_td {
    padding-inline: 18px;
    margin-block: 0;
}

p.comment {
    padding: 10px;
    margin: 5px 25px 0;
    background-color: #ffd6cc;
    border: 1px solid #ccc;
    border-radius: 4px;
    cursor: text;
    font-size: 0.875rem;
}

/* Результыты тестирования (таблица) - END */


/* Ссылка на результаты теста (на странице всех результатов тестирования) */
.adm-result-link {
    display: flex;
    align-content: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    height: calc(100% - 10px);
    border: 1px solid transparent;
    text-decoration: none;
    padding: 5px;
    transition: all .2s ease;
}

.adm-result-link:hover {
    border: 1px solid #d9d9d9;
    transform: scale(1.5);
    text-decoration: none;
}

.adm-result-link:hover {
    background-color: #fff;
}

.grayed .adm-result-link:hover {
    background-color: #f8f8f8;
}

/* Ссылка на результаты теста (на странице всех результатов тестирования) - END*/


/* Пагинация (на странице всех результатов тестирования) */
.paginator_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.paginator {
    display: flex;
    align-items: center;
    gap: 10px;
}

.paginator a:first-child,
.paginator a:last-child {
    font-size: 0.8rem
}

.paginator a, .paginator span {
    display: inline-block;
    border-radius: 4px;
    padding: 5px 10px;
    background-color: #0a67b7;
    color: #fff !important;
    text-decoration: none;
}

.paginator a:hover {
    background-color: #2d89dc;
}

.paginator .disabled {
    background-color: #d9d9d9;
    cursor: not-allowed;
}

.paginator .current_page {
    background-color: #ff5722;
}

.page_limit .current_limit {
    color: #ff5722;
}

/* Пагинация (на странице всех результатов тестирования) - END*/